Bug 964470 - GIMP Crashes when selecting a new gradient in any script-fu (scheme) script.
GIMP Crashes when selecting a new gradient in any script-fu (scheme) script.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 18:38 EDT by gnutux
Modified: 2013-06-13 22:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: gimp-2.8.4-5.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 23:32:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gnutux 2013-05-18 18:38:05 EDT
Description of problem:
GIMP Crashes when selecting a new gradient in any script-fu (scheme) script. 

Version-Release number of selected component (if applicable):
GIMP 2.8.4-3

How reproducible:
100% 


Steps to Reproduce:
1) Start GIMP 2.8.4-3
2) File/Create/Logos/Blended
3) Click/Select Gradient
4) Click Close

GIMP 2.8.4-3 crashes with the following error:

*** glibc detected *** gimp: double free or corruption (!prev): 0x00007ff10fd0f2b0 ***
  
Actual results:
GIMP crashes

Expected results:
A new gradient is selected

Additional info:
This bug (#696240) was reported and fixed in the GIMP source.
https://bugzilla.gnome.org/show_bug.cgi?id=696240

The bug still exists in the latest GIMP 2.8.4-3 Fedora build (F17 & F18)

This is a major issue for the GIMP community, as gradients can't be selected in any scripts.
Comment 1 Fedora Update System 2013-06-04 06:10:15 EDT
gimp-2.8.4-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gimp-2.8.4-5.fc17
Comment 2 Fedora Update System 2013-06-04 06:10:48 EDT
gimp-2.8.4-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gimp-2.8.4-5.fc18
Comment 3 Fedora Update System 2013-06-04 06:11:28 EDT
gimp-2.8.4-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gimp-2.8.4-5.fc19
Comment 4 Fedora Update System 2013-06-04 22:36:04 EDT
Package gimp-2.8.4-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gimp-2.8.4-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10064/gimp-2.8.4-5.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-07 23:32:04 EDT
gimp-2.8.4-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-11 22:36:23 EDT
gimp-2.8.4-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-13 22:32:14 EDT
gimp-2.8.4-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.